module.exports = {
	root: true,
	env: {
		node: true
	},
	extends: [
		"plugin:vue/essential",
		"@vue/airbnb",
		"@vue/typescript/recommended"
	],
	parserOptions: {
		ecmaVersion: 2020
	},
	rules: {
		"no-console": process.env.NODE_ENV === "production" ? "warn" : "off",
		"no-debugger": process.env.NODE_ENV === "production" ? "warn" : "off",
		"import/prefer-default-export": "off",
		quotes: 0,
		indent: 0,
		'no-tabs': 0,
		'comma-dangle': ["error", "never"],
		'eslint operator-linebreak': 0,
		'no-param-reassign': 0,
		'class-methods-use-this': 0,
		"@typescript-eslint/no-explicit-any": 0,
		'max-len': 0,
		'object-curly-newline': 0,
		"import/extensions": [
			"error",
			"ignorePackages",
			{
			  "js": "never",
			  "jsx": "never",
			  "ts": "never",
			  "tsx": "never"
			}
		],
		'no-useless-catch': 0
	}
};
