import Vue from "vue";
import Zeedhi from "@zeedhi/vue";
import ZeedhiComponents from "@zeedhi/vuetify";
import TeknisaComponents from '@zeedhi/teknisa-components-vuetify';
import '@zeedhi/teknisa-components-vuetify/dist/tek-style.css';
import { Icons } from "@zeedhi/common";
import router from "../router/router";
import controllers from "../controllers";
import config from "../config/Next";
import "@zeedhi/common/dist/style.css";
import "@zeedhi/vuetify/dist/zd-style.css";
import vuetify from "./vuetify";

Icons.addIcons({
	iconName: 'mdi-icon-id'
});

Vue.use(Zeedhi, {
	controllers,
	router,
	config
});
Vue.use(ZeedhiComponents);
Vue.use(TeknisaComponents);
vuetify.framework.icons.values = Icons.getIcons() as any;
