import ApiCliente from '../../Api/Cliente';

const actions = {
    setCliente(context: any, payload: any) {
        context.commit('SET_CLIENTE', payload);
    },
    async findClientesPorOperador(context: any, payload: any) {
        try {
            const response = await ApiCliente.findClientesPorOperador(payload);
            context.commit('SET_CLIENTES_POR_OPERADOR', response.data.dataset.clientesPorOperador);
            return response;
        } catch (error) {
            throw error;
        }
    },
    setClientesPorOperador(context: any, payload: Array<any>) {
        context.commit('SET_CLIENTES_POR_OPERADOR', payload);
    },
	setSlacliente(context: any, payload: object) {
		context.commit('SET_SLACLIENTE', payload);
	}
};

export default actions;
